
#include <avr/io.h>
#include <avr/interrupt.h>
#include <util/delay.h>
#include <avr/pgmspace.h>
#include <stdio.h>
#include "lcd.h"

#define GOTO(x,y) lcd_goto_xy_exact((x),(y))

#define BTN  (PINB &( 1 << (PB0) ))



char disp[20];

int dx, xx;


int main(void)
{	
	unsigned char i ;
	// Setup LCD
	lcd_init();
	lcd_contrast(0x40);
	//initializare porturi butoane
	DDRB = 0xFF;
	DDRB  &= ~(  (1<<PB0) );
	PORTB |= ( 1<<PB0) ;  //rez pull-up
	

	lcd_clear();
	GOTO(18,2);
	lcd_str("         " , 1);
	GOTO(18,3);
	lcd_str(" PM 2011 " , 0);
	GOTO(18,4);
	lcd_str("   :)    " , 0);
	GOTO(18,5);
	lcd_str("         " , 1);
	
	while ( BTN ) ;

	xx = 0;
	dx = 0;


    for(;;){
		
		
		if( !BTN ) {

			dx += 5;
		
		}
		
		xx += --dx;

		if(xx < 0)
		{
			dx = (-dx) - 2;
			xx = 0;
		}
		
		if(xx > 78) {
			xx = 78;
			dx = -dx;
		}
				
			
		if(dx < -10)
			dx = -10;
		if(dx > 10)
			dx = 10;
				
		lcd_clear();
		GOTO(xx, 4);
		lcd_chr('o' , 0);

		GOTO(1,1);
		sprintf(disp , "%i" , xx);
		lcd_str(disp,0);
		GOTO(1,2);
		sprintf(disp , "%i" , dx);
		lcd_str(disp,0);
		

		_delay_ms(1500);		
	}

	return 0  ;
}
